net.minecraft.entity

## Class EntityList

- java.lang.Object
- - net.minecraft.entity.EntityList

-     public class EntityList
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map` | `classToStringMapping` Provides a mapping between a string and an entity classes
    `static HashMap` | `entityEggs` This is a HashMap of the Creative Entity Eggs/Spawners.
    `static Map` | `IDtoClassMapping` provides a mapping between an entityID and an Entity Class
    `static Map` | `stringToClassMapping` Provides a mapping between entity classes and a string

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMapping(Class par0Class, String par1Str, int par2)` adds a mapping between Entity classes and both a string representation and an ID
    `static void` | `addMapping(Class par0Class, String par1Str, int par2, int par3, int par4)` Adds a entity mapping with egg info.
    `static Entity` | `createEntityByID(int par0, World par1World)` Create a new instance of an entity in the world by using an entity ID.
    `static Entity` | `createEntityByName(String par0Str, World par1World)` Create a new instance of an entity in the world by using the entity name.
    `static Entity` | `createEntityFromNBT(NBTTagCompound par0NBTTagCompound, World par1World)` create a new instance of an entity from NBT store
    `static Class` | `getClassFromID(int par0)` Return the class assigned to this entity ID.
    `static int` | `getEntityID(Entity par0Entity)` gets the entityID of a specific entity
    `static String` | `getEntityString(Entity par0Entity)` Gets the string representation of a specific entity.
    `static String` | `getStringFromID(int par0)` Finds the class using IDtoClassMapping and classToStringMapping

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stringToClassMapping

          public static Map stringToClassMapping

      Provides a mapping between entity classes and a string

    - #### classToStringMapping

          public static Map classToStringMapping

      Provides a mapping between a string and an entity classes

    - #### IDtoClassMapping

          public static Map IDtoClassMapping

      provides a mapping between an entityID and an Entity Class

    - #### entityEggs

          public static HashMap entityEggs

      This is a HashMap of the Creative Entity Eggs/Spawners.

  - ### Constructor Detail

    - #### EntityList

          public EntityList()

  - ### Method Detail

    - #### addMapping

          public static void addMapping(Class par0Class,
                        String par1Str,
                        int par2)

      adds a mapping between Entity classes and both a string representation and an ID

    - #### addMapping

          public static void addMapping(Class par0Class,
                        String par1Str,
                        int par2,
                        int par3,
                        int par4)

      Adds a entity mapping with egg info.

    - #### createEntityByName

          public static Entity createEntityByName(String par0Str,
                                  World par1World)

      Create a new instance of an entity in the world by using the entity name.

    - #### createEntityFromNBT

          public static Entity createEntityFromNBT(NBTTagCompound par0NBTTagCompound,
                                   World par1World)

      create a new instance of an entity from NBT store

    - #### createEntityByID

          public static Entity createEntityByID(int par0,
                                World par1World)

      Create a new instance of an entity in the world by using an entity ID.

    - #### getEntityID

          public static int getEntityID(Entity par0Entity)

      gets the entityID of a specific entity

    - #### getClassFromID

          public static Class getClassFromID(int par0)

      Return the class assigned to this entity ID.

    - #### getEntityString

          public static String getEntityString(Entity par0Entity)

      Gets the string representation of a specific entity.

    - #### getStringFromID

          public static String getStringFromID(int par0)

      Finds the class using IDtoClassMapping and classToStringMapping